##### Coverage Report - org.owasp.dependencycheck.data.nvdcve.InvalidDataException

Classes in this File | Line Coverage | Branch Coverage | Complexity
InvalidDataException |
0% | 0/4
N/A | N/A
| 1.0;1

1 |  |
     /*
2 |  |
      * This file is part of dependency-check-core.
3 |  |
      *
4 |  |
      * Dependency-check-core is free software: you can redistribute it and/or modify it
5 |  |
      * under the terms of the GNU General Public License as published by the Free
6 |  |
      * Software Foundation, either version 3 of the License, or (at your option) any
7 |  |
      * later version.
8 |  |
      *
9 |  |
      * Dependency-check-core is distributed in the hope that it will be useful, but
10 |  |
      * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
11 |  |
      * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
12 |  |
      * details.
13 |  |
      *
14 |  |
      * You should have received a copy of the GNU General Public License along with
15 |  |
      * dependency-check-core. If not, see http://www.gnu.org/licenses/.
16 |  |
      *
17 |  |
      * Copyright (c) 2012 Jeremy Long. All Rights Reserved.
18 |  |
      */
19 |  |
     package org.owasp.dependencycheck.data.nvdcve;
20 |  |
21 |  |
     /**
22 |  |
      * An InvalidDataDataException is a generic exception used when trying to load
23 |  |
      * the nvd cve meta data.
24 |  |
      *
25 |  |
      * @author Jeremy Long (jeremy.long@owasp.org)
26 |  |
      */
27 |  |
     public class InvalidDataException extends Exception {
28 |  |
29 |  |
         /**
30 |  |
          * the serial version uid.
31 |  |
          */
32 |  |
         private static final long serialVersionUID = 1L;
33 |  |
34 |  |
         /**
35 |  |
          * Creates an InvalidDataException.
36 |  |
          *
37 |  |
          * @param msg the exception message
38 |  |
          */
39 |  |
         public InvalidDataException(String msg) {
40 | 0 |
             super(msg);
41 | 0 |
         }
42 |  |
43 |  |
         /**
44 |  |
          * Creates an InvalidDataException.
45 |  |
          *
46 |  |
          * @param msg the exception message
47 |  |
          * @param ex the cause of the exception
48 |  |
          */
49 |  |
         public InvalidDataException(String msg, Exception ex) {
50 | 0 |
             super(msg, ex);
51 | 0 |
         }
52 |  |
     }